# Uses of Class
org.eclipse.gef.geometry.planar.Path.Segment

Packages that use Path.Segment
Package
Description
org.eclipse.gef.geometry.planar
This package provides support for geometric calculations based on shapes.

## Uses of Path.Segment in org.eclipse.gef.geometry.planar

Methods in org.eclipse.gef.geometry.planar that return Path.Segment
Modifier and Type
Method
Description
`Path.Segment`
Path.Segment.`getCopy()`
Returns a copy of this `Path.Segment`.
`Path.Segment[]`
Path.`getSegments()`
Returns the segments that make up this path.
Methods in org.eclipse.gef.geometry.planar with parameters of type Path.Segment
Modifier and Type
Method
Description
`final Path`
Path.`add(Path.Segment... segments)`
Adds the given `Path.Segment`s to this `Path`.
Method parameters in org.eclipse.gef.geometry.planar with type arguments of type Path.Segment
Modifier and Type
Method
Description
`final Path`
Path.`add(List<Path.Segment> segments)`
Adds the given `List` of `Path.Segment`s to this `Path`.
Constructors in org.eclipse.gef.geometry.planar with parameters of type Path.Segment
Modifier
Constructor
Description
``
`Path(int windingRule, Path.Segment... segments)`
Creates a path from the given segments, using the given winding rule.
``
`Path(Path.Segment... segments)`
Creates a path from the given segments, using the default winding rule `Path.WIND_NON_ZERO`.